QR-koder
GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | detaljer | Beskrivning |
|---|---|---|
| search | Optionell Sträng | Det är söka sträng. |
| search_by | Optionell Sträng | Vilket fält söker du efter. Tillåtna värden är: name. |
| project_id | Optionell Innehåller | |
| type | Optionell Sträng | Vilket fält söker du efter. Tillåtna värden är: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | Optionell Sträng | Tillåtna värden: datetime, last_datetime |
| datetime_start | Optionell Sträng | Filtrera resultat från denna datumtid. Y-m-d H:i:s och format. |
| datetime_end | Optionell Sträng | Filterar resultat upp till denna datumtid. Y-m-d H:i:s och format. |
| order_by | Optionell Sträng | Vilket fält att beställa resultaten av. Tillåtna värden är: qr_code_id, datetime, last_datetime, name, type. |
| order_type | Optionell Sträng | Beställningen av resultaten. Tillåtna värden är: ASC för uppstigande order, och DESC för nedåtkommande order. |
| page | Optionell Innehåller | sidan nummer som du vill ha resultat från. defekter till 1. |
| results_per_page | Optionell Innehåller | Hur många resultat du vill ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Defekter till 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:39:43",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/qr-codes?page=1",
"last": "https://0o0.online/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/qr-codes?page=1"
}
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://0o0.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-10-16 01:39:43",
}
}
POST https://0o0.online/api/qr-codes
| Parametrar | detaljer | Beskrivning |
|---|---|---|
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \